spring:
  application:
    name: HosBrokerServer
server:
  port: 8099
  contextPath:
  sessionTimeout:  300
security:
  basic:
    enabled: false

# the name of Camel
camel:
  springboot:
    name: HosBrokerServer

---
spring:
  profiles: dev
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.220:8066/hos1?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
    username: hos
    password: 123456
    test-on-borrow: true
    validation-query: SELECT 1
    test-while-idle: true
    max-active: 30
    default-auto-commit: true
    max-idle: 30
    min-idle: 10
    initial-size: 10
  activemq:
      broker-url: tcp://172.19.103.57:61616
      user: admin
      password: admin
  data:
    mongodb:
      host: 172.19.103.57
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      database: log
      gridFsDatabase: dfs
  gateway:
    ip: localhost
    port: 8066
hos:
  esb:
    rest-url: http://192.168.131.119:8080/esb
  arbiter:
    enable: true
    url: http://localhost:10135
  timer:
      period: 10000
  tenant:
    name: jkzl

---
spring:
  profiles: test
  datasource:
      driverClassName: com.mysql.jdbc.Driver
      url: jdbc:mysql://192.168.1.220:8066/hos1?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
      username: hos
      password: 123456
      test-on-borrow: true
      validation-query: SELECT 1
      test-while-idle: true
      max-active: 30
      default-auto-commit: true
      max-idle: 30
      min-idle: 10
      initial-size: 10
  activemq:
      broker-url: tcp://172.19.103.57:61616
      user: admin
      password: admin
  data:
    mongodb:
      host: 172.19.103.57
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      database: log
      gridFsDatabase: dfs
  gateway:
    ip: localhost
    port: 8066
hos:
  esb:
    rest-url: http://192.168.131.119:8080/esb
  arbiter:
    enable: false
    url: http://172.19.103.57:10135
  timer:
      period: 10000

---
spring:
  profiles: lfq
  datasource:
      driverClassName: com.mysql.jdbc.Driver
      url: jdbc:mysql://172.19.103.51:3306/db1?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
      username: canal
      password: canal
      test-on-borrow: true
      validation-query: SELECT 1
      test-while-idle: true
      max-active: 30
      default-auto-commit: true
      max-idle: 30
      min-idle: 10
      initial-size: 10
  activemq:
      broker-url: tcp://172.19.103.58:61616
      user: admin
      password: admin
  data:
    mongodb:
      host: 172.19.103.58
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      database: log
      gridFsDatabase: dfs
  gateway:
    ip: localhost
    port: 8066
server:
  port: 9999
hos:
  esb:
    rest-url: http://192.168.131.119:8080/esb
  arbiter:
    enable: true
    url: http://192.168.131.38:10135
  timer:
      period: 10000
  tenant:
    name: yichang
